interface IColumnHeader {
  Header: string;
  accessor: string | ((row: any) => string);
  Cell?: (row: any) => JSX.Element;
}

type Columns = IColumnHeader[];

export const columnsDataBatches: Columns = [
  {
    Header: "Batch ID",
    accessor: "id",
  },
  {
    Header: "Batch Name",
    accessor: "name",
    Cell: ({ value }) => value ?? "N/A",
  },
  {
    Header: "Due date",
    accessor: "due_date",
    Cell: ({ value }) => value ?? "N/A",
  },
  {
    Header: "Good",
    accessor: "good",
    Cell: ({ value }) => value ?? "N/A",
  },
  {
    Header: "Bad",
    accessor: "bad",
    Cell: ({ value }) => value ?? "N/A",
  },
  {
    Header: "Total",
    accessor: "total",
    Cell: ({ value }) => value ?? "N/A",
  },
  {
    Header: "Status",
    accessor: "status",
    Cell: ({ value }) => value ?? "N/A",
  },
];
